Create Role
curl --request POST \
--url https://app.textql.com/v2/roles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "analyst",
"description": "<string>"
}
'import requests
url = "https://app.textql.com/v2/roles"
payload = {
"name": "analyst",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'analyst', description: '<string>'})
};
fetch('https://app.textql.com/v2/roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "80de0196-496f-44fe-9d4c-8013b3b44082",
"name": "analyst",
"description": "<string>",
"is_system": true,
"is_scim_managed": true,
"created_at": "2026-07-06T19:30:00Z",
"updated_at": "2026-07-06T19:30:00Z"
}{
"error": {
"code": "invalid_request",
"message": "Invalid request body"
}
}{
"error": {
"code": "unauthenticated",
"message": "Authentication required"
}
}{
"error": {
"code": "permission_denied",
"message": "Insufficient permissions"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded"
}
}{
"error": {
"code": "internal",
"message": "Internal server error"
}
}Roles
Create Role
Create a custom RBAC role in your organization
POST
/
v2
/
roles
Create Role
Authorizations
API key or JWT token
Body
application/json
Response
The created role
Example:
"80de0196-496f-44fe-9d4c-8013b3b44082"
Example:
"analyst"
True for the built-in roles (for example admin and member).
RFC 3339 timestamp
Example:
"2026-07-06T19:30:00Z"
RFC 3339 timestamp
Example:
"2026-07-06T19:30:00Z"
⌘I